diff -Naurd cluster-3.0.0.rc2/gfs2/libgfs2/fs_ops.c cluster-3.0.0.rc3/gfs2/libgfs2/fs_ops.c
--- cluster-3.0.0.rc2/gfs2/libgfs2/fs_ops.c	2009-05-07 09:09:32.000000000 +0200
+++ cluster-3.0.0.rc3/gfs2/libgfs2/fs_ops.c	2009-06-11 11:02:55.000000000 +0200
@@ -43,11 +43,11 @@
 	return ip;
 }
 
-void inode_put(struct gfs2_inode *ip, enum update_flags updated)
+void inode_put(struct gfs2_inode *ip, enum update_flags is_updated)
 {
-	if (updated)
+	if (is_updated)
 		gfs2_dinode_out(&ip->i_di, ip->i_bh->b_data);
-	brelse(ip->i_bh, updated);
+	brelse(ip->i_bh, is_updated);
 	free(ip);
 }
 
@@ -666,6 +666,7 @@
 	do {
 		uint16_t cur_rec_len;
 		uint16_t cur_name_len;
+		uint16_t new_rec_len;
 
 		cur_rec_len = be16_to_cpu(dent->de_rec_len);
 		cur_name_len = be16_to_cpu(dent->de_name_len);
@@ -681,8 +682,10 @@
 				new->de_rec_len = cpu_to_be16(cur_rec_len -
 											  GFS2_DIRENT_SIZE(cur_name_len));
 				new->de_name_len = cpu_to_be16(name_len);
-				dent->de_rec_len = cpu_to_be16(cur_rec_len -
-											   be16_to_cpu(new->de_rec_len));
+
+				new_rec_len = be16_to_cpu(new->de_rec_len);
+				dent->de_rec_len = cpu_to_be16(cur_rec_len - new_rec_len);
+
 				*dent_out = new;
 				return 0;
 			}
@@ -714,14 +717,14 @@
 	prev->de_rec_len = cpu_to_be16(prev_rec_len);
 }
 
-void gfs2_get_leaf_nr(struct gfs2_inode *dip, uint32_t index,
+void gfs2_get_leaf_nr(struct gfs2_inode *dip, uint32_t lindex,
 					  uint64_t *leaf_out)
 {
 	uint64_t leaf_no;
 	int count;
 
 	count = gfs2_readi(dip, (char *)&leaf_no,
-		      index * sizeof(uint64_t),
+		      lindex * sizeof(uint64_t),
 		      sizeof(uint64_t));
 	if (count != sizeof(uint64_t))
 		die("gfs2_get_leaf_nr:  Bad internal read.\n");
@@ -741,7 +744,7 @@
 		die("gfs2_put_leaf_nr:  Bad internal write.\n");
 }
 
-static void dir_split_leaf(struct gfs2_inode *dip, uint32_t index, uint64_t leaf_no)
+static void dir_split_leaf(struct gfs2_inode *dip, uint32_t lindex, uint64_t leaf_no)
 {
 	struct gfs2_buffer_head *nbh, *obh;
 	struct gfs2_leaf *nleaf, *oleaf;
@@ -771,7 +774,7 @@
 	len = 1 << (dip->i_di.di_depth - be16_to_cpu(oleaf->lf_depth));
 	half_len = len >> 1;
 
-	start = (index & ~(len - 1));
+	start = (lindex & ~(len - 1));
 
 	lp = calloc(1, half_len * sizeof(uint64_t));
 	if (lp == NULL) {
@@ -920,12 +923,12 @@
  * Returns: 0 on success, error code otherwise
  */
 
-static int get_first_leaf(struct gfs2_inode *dip, uint32_t index,
+static int get_first_leaf(struct gfs2_inode *dip, uint32_t lindex,
 			  struct gfs2_buffer_head **bh_out)
 {
 	uint64_t leaf_no;
 
-	gfs2_get_leaf_nr(dip, index, &leaf_no);
+	gfs2_get_leaf_nr(dip, lindex, &leaf_no);
 	*bh_out = bread(&dip->i_sbd->buf_list, leaf_no);
 	return 0;
 }
@@ -952,13 +955,13 @@
 	return 0;
 }
 
-static void dir_e_add(struct gfs2_inode *dip, char *filename, int len,
+static void dir_e_add(struct gfs2_inode *dip, const char *filename, int len,
 		      struct gfs2_inum *inum, unsigned int type)
 {
 	struct gfs2_buffer_head *bh, *nbh;
 	struct gfs2_leaf *leaf, *nleaf;
 	struct gfs2_dirent *dent;
-	uint32_t index;
+	uint32_t lindex;
 	uint32_t hash;
 	uint64_t leaf_no, bn;
 
@@ -966,11 +969,11 @@
 	hash = gfs2_disk_hash(filename, len);
 	/* Have to kludge because (hash >> 32) gives hash for some reason. */
 	if (dip->i_di.di_depth)
-		index = hash >> (32 - dip->i_di.di_depth);
+		lindex = hash >> (32 - dip->i_di.di_depth);
 	else
-		index = 0;
+		lindex = 0;
 
-	gfs2_get_leaf_nr(dip, index, &leaf_no);
+	gfs2_get_leaf_nr(dip, lindex, &leaf_no);
 
 	for (;;) {
 		bh = bread(&dip->i_sbd->buf_list, leaf_no);
@@ -980,7 +983,7 @@
 
 			if (be16_to_cpu(leaf->lf_depth) < dip->i_di.di_depth) {
 				brelse(bh, not_updated);
-				dir_split_leaf(dip, index, leaf_no);
+				dir_split_leaf(dip, lindex, leaf_no);
 				goto restart;
 
 			} else if (dip->i_di.di_depth < GFS2_DIR_MAX_DEPTH) {
@@ -1071,7 +1074,8 @@
 			break;
 	} while (gfs2_dirent_next(dip, bh, &dent) == 0);
 
-	dent->de_rec_len = cpu_to_be16(be16_to_cpu(dent->de_rec_len) +
+	dent->de_rec_len = be16_to_cpu(dent->de_rec_len);
+	dent->de_rec_len = cpu_to_be16(dent->de_rec_len +
 		sizeof(struct gfs2_dinode) - sizeof(struct gfs2_leaf));
 
 	brelse(bh, updated);
@@ -1092,7 +1096,7 @@
 	dip->i_di.di_depth = y;
 }
 
-static void dir_l_add(struct gfs2_inode *dip, char *filename, int len,
+static void dir_l_add(struct gfs2_inode *dip, const char *filename, int len,
 		      struct gfs2_inum *inum, unsigned int type)
 {
 	struct gfs2_dirent *dent;
@@ -1112,7 +1116,7 @@
 	dip->i_di.di_entries++;
 }
 
-void dir_add(struct gfs2_inode *dip, char *filename, int len,
+void dir_add(struct gfs2_inode *dip, const char *filename, int len,
 	     struct gfs2_inum *inum, unsigned int type)
 {
 	if (dip->i_di.di_flags & GFS2_DIF_EXHASH)
@@ -1183,7 +1187,7 @@
 	return bh;
 }
 
-struct gfs2_inode *createi(struct gfs2_inode *dip, char *filename,
+struct gfs2_inode *createi(struct gfs2_inode *dip, const char *filename,
 			   unsigned int mode, uint32_t flags)
 {
 	struct gfs2_sbd *sdp = dip->i_sbd;
@@ -1303,7 +1307,7 @@
 			      struct gfs2_buffer_head **bh_out)
 {
 	struct gfs2_buffer_head *bh = NULL, *bh_next;
-	uint32_t hsize, index;
+	uint32_t hsize, lindex;
 	uint32_t hash;
 	int error = 0;
 
@@ -1314,9 +1318,9 @@
 	/*  Figure out the address of the leaf node.  */
 
 	hash = gfs2_disk_hash(filename, len);
-	index = hash >> (32 - dip->i_di.di_depth);
+	lindex = hash >> (32 - dip->i_di.di_depth);
 
-	error = get_first_leaf(dip, index, &bh_next);
+	error = get_first_leaf(dip, lindex, &bh_next);
 	if (error)
 		return error;
 
@@ -1438,17 +1442,17 @@
 
 static int dir_e_del(struct gfs2_inode *dip, const char *filename, int len)
 {
-	int index;
+	int lindex;
 	int error;
 	int found = 0;
 	uint64_t leaf_no;
 	struct gfs2_buffer_head *bh = NULL;
 	struct gfs2_dirent *cur, *prev;
 
-	index = (1 << (dip->i_di.di_depth))-1;
+	lindex = (1 << (dip->i_di.di_depth))-1;
 
-	for(; (index >= 0) && !found; index--){
-		gfs2_get_leaf_nr(dip, index, &leaf_no);
+	for(; (lindex >= 0) && !found; lindex--){
+		gfs2_get_leaf_nr(dip, lindex, &leaf_no);
 
 		while(leaf_no && !found){
 			bh = bread(&dip->i_sbd->buf_list, leaf_no);
diff -Naurd cluster-3.0.0.rc2/gfs2/libgfs2/gfs1.c cluster-3.0.0.rc3/gfs2/libgfs2/gfs1.c
--- cluster-3.0.0.rc2/gfs2/libgfs2/gfs1.c	2009-05-07 09:09:32.000000000 +0200
+++ cluster-3.0.0.rc3/gfs2/libgfs2/gfs1.c	2009-06-11 11:02:55.000000000 +0200
@@ -156,7 +156,7 @@
 	free(mp);
 }
 
-int gfs1_readi(struct gfs2_inode *ip, void *buf,
+int gfs1_readi(struct gfs2_inode *ip, void *bufin,
 	       uint64_t offset, unsigned int size)
 {
 	struct gfs2_sbd *sdp = ip->i_sbd;
@@ -167,6 +167,7 @@
 	int not_new = 0;
 	int journaled = fs_is_jdata(ip);
 	int copied = 0;
+	char *buf = bufin;
 
 	if (offset >= ip->i_di.di_size)
 		return 0;
@@ -328,7 +329,7 @@
 /* ------------------------------------------------------------------------ */
 /* gfs_dinode_in */
 /* ------------------------------------------------------------------------ */
-void gfs_dinode_in(struct gfs_dinode *di, char *buf)
+static void gfs_dinode_in(struct gfs_dinode *di, char *buf)
 {
 	struct gfs_dinode *str = (struct gfs_dinode *)buf;
 
diff -Naurd cluster-3.0.0.rc2/gfs2/libgfs2/gfs2_log.c cluster-3.0.0.rc3/gfs2/libgfs2/gfs2_log.c
--- cluster-3.0.0.rc2/gfs2/libgfs2/gfs2_log.c	2009-05-07 09:09:32.000000000 +0200
+++ cluster-3.0.0.rc3/gfs2/libgfs2/gfs2_log.c	2009-06-11 11:02:55.000000000 +0200
@@ -27,7 +27,7 @@
 	_state.print_level--;
 }
 
-static void print_msg(int priority, char *file, int line, const char *format,
+static void print_msg(int priority, const char *file, int line, const char *format,
 		      va_list args) {
 
 	switch (priority) {
@@ -53,7 +53,7 @@
 }
 
 
-void print_fsck_log(int iif, int priority, char *file, int line,
+void print_fsck_log(int iif, int priority, const char *file, int line,
 		    const char *format, ...)
 {
 
diff -Naurd cluster-3.0.0.rc2/gfs2/libgfs2/libgfs2.h cluster-3.0.0.rc3/gfs2/libgfs2/libgfs2.h
--- cluster-3.0.0.rc2/gfs2/libgfs2/libgfs2.h	2009-05-07 09:09:32.000000000 +0200
+++ cluster-3.0.0.rc3/gfs2/libgfs2/libgfs2.h	2009-06-11 11:02:55.000000000 +0200
@@ -390,7 +390,7 @@
 extern struct gfs2_buffer_head *__bread(struct buf_list *bl, uint64_t num,
 					int line, const char *caller);
 extern struct gfs2_buffer_head *bhold(struct gfs2_buffer_head *bh);
-extern void brelse(struct gfs2_buffer_head *bh, enum update_flags updated);
+extern void brelse(struct gfs2_buffer_head *bh, enum update_flags is_updated);
 extern void __bsync(struct buf_list *bl, int line, const char *caller);
 extern void __bcommit(struct buf_list *bl, int line, const char *caller);
 
@@ -454,14 +454,14 @@
 					    struct gfs2_inum *inum,
 					    unsigned int mode, uint32_t flags,
 					    struct gfs2_inum *parent);
-extern struct gfs2_inode *createi(struct gfs2_inode *dip, char *filename,
+extern struct gfs2_inode *createi(struct gfs2_inode *dip, const char *filename,
 				  unsigned int mode, uint32_t flags);
 extern void dirent2_del(struct gfs2_inode *dip, struct gfs2_buffer_head *bh,
 			struct gfs2_dirent *prev, struct gfs2_dirent *cur);
 extern struct gfs2_inode *gfs2_load_inode(struct gfs2_sbd *sbp, uint64_t block);
 extern int gfs2_lookupi(struct gfs2_inode *dip, const char *filename, int len,
 			struct gfs2_inode **ipp);
-extern void dir_add(struct gfs2_inode *dip, char *filename, int len,
+extern void dir_add(struct gfs2_inode *dip, const char *filename, int len,
 		    struct gfs2_inum *inum, unsigned int type);
 extern int gfs2_dirent_del(struct gfs2_inode *dip, struct gfs2_buffer_head *bh,
 			   const char *filename, int filename_len);
@@ -620,7 +620,7 @@
 
 extern void increase_verbosity(void);
 extern void decrease_verbosity(void);
-extern void print_fsck_log(int iif, int priority, char *file, int line,
+extern void print_fsck_log(int iif, int priority, const char *file, int line,
 			   const char *format, ...)
 	__attribute__((format(printf,5,6)));
 extern char generic_interrupt(const char *caller, const char *where,
@@ -642,10 +642,9 @@
 extern void cleanup_metafs(struct gfs2_sbd *sdp);
 extern char *find_debugfs_mount(void);
 extern char *mp2fsname(char *mp);
-extern char *mp2fsname2(char *mp);
-extern char *get_sysfs(char *fsname, char *filename);
-extern int get_sysfs_uint(char *fsname, char *filename, unsigned int *val);
-extern int set_sysfs(char *fsname, char *filename, char *val);
+extern char *get_sysfs(const char *fsname, const char *filename);
+extern int get_sysfs_uint(const char *fsname, const char *filename, unsigned int *val);
+extern int set_sysfs(const char *fsname, const char *filename, const char *val);
 extern int is_fsname(char *name);
 
 /* recovery.c */
diff -Naurd cluster-3.0.0.rc2/gfs2/libgfs2/misc.c cluster-3.0.0.rc3/gfs2/libgfs2/misc.c
--- cluster-3.0.0.rc2/gfs2/libgfs2/misc.c	2009-05-07 09:09:32.000000000 +0200
+++ cluster-3.0.0.rc3/gfs2/libgfs2/misc.c	2009-06-11 11:02:55.000000000 +0200
@@ -207,7 +207,7 @@
 		rmdir(sdp->metafs_path);
 }
 
-static char *__get_sysfs(char *fsname, char *filename)
+static char *__get_sysfs(const char *fsname, const char *filename)
 {
 	char path[PATH_MAX];
 	int fd, rv;
@@ -229,7 +229,7 @@
 	return sysfs_buf;
 }
 
-char *get_sysfs(char *fsname, char *filename)
+char *get_sysfs(const char *fsname, const char *filename)
 {
 	char *s;
 	char *p;
@@ -243,7 +243,7 @@
 	return sysfs_buf;
 }
 
-int get_sysfs_uint(char *fsname, char *filename, unsigned int *val)
+int get_sysfs_uint(const char *fsname, const char *filename, unsigned int *val)
 {
 	char *s = __get_sysfs(fsname, filename);
 	int ret;
@@ -257,7 +257,7 @@
 	return 0;
 }
 
-int set_sysfs(char *fsname, char *filename, char *val)
+int set_sysfs(const char *fsname, const char *filename, const char *val)
 {
 	char path[PATH_MAX];
 	int fd, rv, len;
@@ -315,90 +315,6 @@
 	return NULL;
 }
 
-/*
- * Same as mp2fsname, except that this function doesn't stat() the mountpoint
- * to get the device no. Used by gfs2_tool freeze/unfreeze where we don't want
- * to touch the potentially frozen filesytem and hang gfs2_tool itself.
- */
-char *
-mp2fsname2(char *mp)
-{
-	char device_id[PATH_MAX], *fsname = NULL;
-	struct stat statbuf;
-	DIR *d;
-	struct dirent *de;
-	FILE *fp;
-	char buffer[PATH_MAX], device_name[PATH_MAX];
-	int fsdump, fspass, ret, found = 0;
-	char fspath[PATH_MAX], fsoptions[PATH_MAX], fstype[80];
-	char *id;
-
-	/* Take care of trailing '/' */
-	if (mp[strlen(mp) - 1] == '/')
-		mp[strlen(mp) - 1] = 0;
-
-	fp = fopen("/proc/mounts", "r");
-	if (fp == NULL) {
-		return NULL;
-	}
-
-	while ((fgets(buffer, PATH_MAX - 1, fp)) != NULL) {
-		buffer[PATH_MAX - 1] = 0;
-		if (strstr(buffer, "0") == 0)
-			continue;
-
-		if ((ret = sscanf(buffer, "%s %s %s %s %d %d",
-				  device_name, fspath,
-				  fstype, fsoptions, &fsdump, &fspass)) != 6)
-			continue;
-
-		if (strcmp(fstype, "gfs2") != 0)
-			continue;
-
-		if (strcmp(fspath, mp) != 0)
-			continue;
-
-		found = 1;
-		break;
-	}
-	fclose(fp);
-
-	if (!found) {
-		errno = ENOENT;
-		return NULL;
-	}
-
-	if (stat(device_name, &statbuf))
-		return NULL;
-
-	memset(device_id, 0, sizeof(device_id));
-	sprintf(device_id, "%u:%u", (uint32_t)MAJOR(statbuf.st_rdev),
-		(uint32_t)MINOR(statbuf.st_rdev));
-
-	d = opendir(SYS_BASE);
-	if (!d)
-		return NULL;
-
-	while ((de = readdir(d))) {
-		if (de->d_name[0] == '.')
-			continue;
-
-		id = get_sysfs(de->d_name, "id");
-		if (!id)
-			continue;
-		if (strcmp(id, device_id) == 0) {
-			fsname = strdup(de->d_name);
-			break;
-		}
-	}
-
-	closedir(d);
-
-	if (!fsname)
-		errno = ENOENT;
-	return fsname;
-}
-
 /**
  * mp2fsname - Find the name for a filesystem given its mountpoint
  *
diff -Naurd cluster-3.0.0.rc2/gfs2/libgfs2/rgrp.c cluster-3.0.0.rc3/gfs2/libgfs2/rgrp.c
--- cluster-3.0.0.rc2/gfs2/libgfs2/rgrp.c	2009-05-07 09:09:32.000000000 +0200
+++ cluster-3.0.0.rc3/gfs2/libgfs2/rgrp.c	2009-06-11 11:02:55.000000000 +0200
@@ -136,15 +136,15 @@
 	return 0;
 }
 
-void gfs2_rgrp_relse(struct rgrp_list *rgd, enum update_flags updated)
+void gfs2_rgrp_relse(struct rgrp_list *rgd, enum update_flags is_updated)
 {
 	int x, length = rgd->ri.ri_length;
 
 	for (x = 0; x < length; x++)
-		brelse(rgd->bh[x], updated);
+		brelse(rgd->bh[x], is_updated);
 }
 
-void gfs2_rgrp_free(osi_list_t *rglist, enum update_flags updated)
+void gfs2_rgrp_free(osi_list_t *rglist, enum update_flags is_updated)
 {
 	struct rgrp_list *rgd;
 
@@ -152,7 +152,7 @@
 		rgd = osi_list_entry(rglist->next, struct rgrp_list, list);
 		if (rgd->bh && rgd->bh[0] && /* if a buffer exists and       */
 			rgd->bh[0]->b_count) /* the 1st buffer is allocated */
-			gfs2_rgrp_relse(rgd, updated); /* free them all. */
+			gfs2_rgrp_relse(rgd, is_updated); /* free them all. */
 		if(rgd->bits)
 			free(rgd->bits);
 		if(rgd->bh) {
diff -Naurd cluster-3.0.0.rc2/gfs2/mkfs/gfs2_mkfs.h cluster-3.0.0.rc3/gfs2/mkfs/gfs2_mkfs.h
--- cluster-3.0.0.rc2/gfs2/mkfs/gfs2_mkfs.h	2009-05-07 09:09:32.000000000 +0200
+++ cluster-3.0.0.rc3/gfs2/mkfs/gfs2_mkfs.h	2009-06-11 11:02:55.000000000 +0200
@@ -64,6 +64,4 @@
 #define FS_FL_USER_VISIBLE              0x0003DFFF /* User visible flags */
 #define FS_FL_USER_MODIFIABLE           0x000380FF /* User modifiable flags */
 
-extern char *prog_name;
-
 #endif /* __GFS2_MKFS_DOT_H__ */
diff -Naurd cluster-3.0.0.rc2/gfs2/mkfs/main.c cluster-3.0.0.rc3/gfs2/mkfs/main.c
--- cluster-3.0.0.rc2/gfs2/mkfs/main.c	2009-05-07 09:09:32.000000000 +0200
+++ cluster-3.0.0.rc3/gfs2/mkfs/main.c	2009-06-11 11:02:55.000000000 +0200
@@ -10,13 +10,14 @@
 #include <time.h>
 #include <errno.h>
 #include <libgen.h>
+#include <libintl.h>
+#include <locale.h>
+#define _(String) gettext(String)
 
 #include <linux/types.h>
 #include "libgfs2.h"
 #include "gfs2_mkfs.h"
 
-char *prog_name;
-
 /**
  * main - do everything
  * @argc:
@@ -30,10 +31,12 @@
 {
 	char *p, *whoami;
 
-	prog_name = argv[0];
+	setlocale(LC_ALL, "");
+	textdomain("mkfs.gfs2");
+
 	srandom(time(NULL) ^ getpid());
 
-	p = strdup(prog_name);
+	p = strdup(argv[0]);
 	whoami = basename(p);
 	
 	if (!strcmp(whoami, "gfs2_jadd"))
@@ -42,14 +45,10 @@
 		main_mkfs(argc, argv);
 	else if (!strcmp(whoami, "gfs2_grow"))
 		main_grow(argc, argv);
-#if 0
-	else if (!strcmp(whoami, "gfs2_shrink"))
-		main_shrink(argc, argv);
-#endif
 	else
-		die("I don't know who I am!\n");
+		die( _("I don't know who I am!\n"));
 
 	free(p);
 
-	return EXIT_SUCCESS;
+	return 0;
 }
diff -Naurd cluster-3.0.0.rc2/gfs2/mkfs/main_grow.c cluster-3.0.0.rc3/gfs2/mkfs/main_grow.c
--- cluster-3.0.0.rc2/gfs2/mkfs/main_grow.c	2009-05-07 09:09:32.000000000 +0200
+++ cluster-3.0.0.rc3/gfs2/mkfs/main_grow.c	2009-06-11 11:02:55.000000000 +0200
@@ -16,6 +16,8 @@
 #include <errno.h>
 #include <stdarg.h>
 #include <linux/types.h>
+#include <libintl.h>
+#define _(String) gettext(String)
 
 #include "libgfs2.h"
 #include "gfs2_mkfs.h"
@@ -44,7 +46,7 @@
 static void usage(void)
 {
 	fprintf(stdout,
-		"Usage:\n"
+		_("Usage:\n"
 		"\n"
 		"gfs2_grow [options] /path/to/filesystem\n"
 		"\n"
@@ -53,10 +55,10 @@
 		"  -q               Quiet, reduce verbosity\n"
 		"  -T               Test, do everything except update FS\n"
 		"  -V               Version information\n"
-		"  -v               Verbose, increase verbosity\n");
+		"  -v               Verbose, increase verbosity\n"));
 }
 
-void decode_arguments(int argc, char *argv[], struct gfs2_sbd *sdp)
+static void decode_arguments(int argc, char *argv[], struct gfs2_sbd *sdp)
 {
 	int opt;
 
@@ -69,7 +71,7 @@
 		case 'V':
 			printf("%s %s (built %s %s)\n", argv[0],
 			       RELEASE_VERSION, __DATE__, __TIME__);
-			printf("%s\n", REDHAT_COPYRIGHT);
+			printf( _(REDHAT_COPYRIGHT "\n"));
 			exit(0);
 		case 'h':
 			usage();
@@ -78,8 +80,8 @@
 			decrease_verbosity();
 			break;
 		case 'T':
-			printf("(Test mode--File system will not "
-			       "be changed)\n");
+			printf( _("(Test mode--File system will not "
+			       "be changed)\n"));
 			test = 1;
 			break;
 		case 'v':
@@ -88,11 +90,11 @@
 		case ':':
 		case '?':
 			/* Unknown flag */
-			fprintf(stderr, "Please use '-h' for usage.\n");
+			fprintf(stderr, _("Please use '-h' for usage.\n"));
 			exit(EXIT_FAILURE);
 		default:
-			fprintf(stderr, "Bad programmer! You forgot"
-				" to catch the %c flag\n", opt);
+			fprintf(stderr, _("Bad programmer! You forgot"
+				" to catch the %c flag\n"), opt);
 			exit(EXIT_FAILURE);
 			break;
 		}
@@ -107,7 +109,7 @@
 /**
  * figure_out_rgsize
  */
-void figure_out_rgsize(struct gfs2_sbd *sdp, unsigned int *rgsize)
+static void figure_out_rgsize(struct gfs2_sbd *sdp, unsigned int *orgsize)
 {
 	osi_list_t *head = &sdp->rglist;
 	struct rgrp_list *r1, *r2;
@@ -116,7 +118,7 @@
 	r1 = osi_list_entry(head->next->next, struct rgrp_list, list);
 	r2 = osi_list_entry(head->next->next->next, struct rgrp_list, list);
 
-	*rgsize = r2->ri.ri_addr - r1->ri.ri_addr;
+	*orgsize = r2->ri.ri_addr - r1->ri.ri_addr;
 }
 
 /**
@@ -128,7 +130,7 @@
  * Returns: The calculated size
  */
 
-uint64_t filesystem_size(struct gfs2_sbd *sdp)
+static uint64_t filesystem_size(struct gfs2_sbd *sdp)
 {
 	osi_list_t *tmp;
 	struct rgrp_list *rgl;
@@ -150,7 +152,7 @@
 /**
  * initialize_new_portion - Write the new rg information to disk buffers.
  */
-void initialize_new_portion(struct gfs2_sbd *sdp, int *old_rg_count)
+static void initialize_new_portion(struct gfs2_sbd *sdp, int *old_rg_count)
 {
 	uint64_t rgrp = 0;
 	osi_list_t *head = &sdp->rglist;
@@ -179,7 +181,7 @@
 /**
  * fix_rindex - Add the new entries to the end of the rindex file.
  */
-void fix_rindex(struct gfs2_sbd *sdp, int rindex_fd, int old_rg_count)
+static void fix_rindex(struct gfs2_sbd *sdp, int rindex_fd, int old_rg_count)
 {
 	int count, rg;
 	struct rgrp_list *rl;
@@ -191,11 +193,11 @@
 	rg = 0;
 	osi_list_foreach(tmp, &sdp->rglist)
 		rg++;
-	log_info("%d new rindex entries.\n", rg);
+	log_info( _("%d new rindex entries.\n"), rg);
 	writelen = rg * sizeof(struct gfs2_rindex);
 	buf = calloc(1, writelen);
 	if (buf == NULL) {
-		fprintf(stderr, "Out of memory in %s\n", __FUNCTION__);
+		fprintf(stderr, _("Out of memory in %s\n"), __FUNCTION__);
 		exit(-1);
 	}
 	/* Now add the new rg entries to the rg index.  Here we     */
@@ -268,7 +270,7 @@
 		if (check_for_gfs2(sdp)) {
 			if (errno == EINVAL)
 				fprintf(stderr,
-					"Not a valid GFS2 mount point: %s\n",
+					_("Not a valid GFS2 mount point: %s\n"),
 					sdp->path_name);
 			else
 				fprintf(stderr, "%s\n", strerror(errno));
@@ -277,13 +279,13 @@
 		sdp->device_fd = open(sdp->device_name,
 				      (test ? O_RDONLY : O_RDWR));
 		if (sdp->device_fd < 0)
-			die("can't open device %s: %s\n",
+			die( _("can't open device %s: %s\n"),
 			    sdp->device_name, strerror(errno));
 		if (device_geometry(sdp)) {
-			fprintf(stderr, "Geometry error\n");
+			fprintf(stderr, _("Geometry error\n"));
 			exit(-1);
 		}
-		log_info("Initializing lists...\n");
+		log_info( _("Initializing lists...\n"));
 		osi_list_init(&sdp->rglist);
 		init_buf_list(sdp, &sdp->buf_list, 128 << 20);
 		init_buf_list(sdp, &sdp->nvbuf_list, 0xffffffff);
@@ -295,7 +297,7 @@
 			exit(-1);
 		}
 		if(read_sb(sdp) < 0)
-			die("gfs: Error reading superblock.\n");
+			die( _("gfs: Error reading superblock.\n"));
 
 		if (fix_device_geometry(sdp)) {
 			fprintf(stderr, "Device is too small (%"PRIu64" bytes)\n",
@@ -304,7 +306,7 @@
 		}
 
 		if (mount_gfs2_meta(sdp)) {
-			fprintf(stderr, "Error mounting GFS2 metafs: %s\n",
+			fprintf(stderr, _("Error mounting GFS2 metafs: %s\n"),
 					strerror(errno));
 			exit(-1);
 		}
@@ -313,7 +315,7 @@
 		rindex_fd = open(rindex_name, (test ? O_RDONLY : O_RDWR));
 		if (rindex_fd < 0) {
 			cleanup_metafs(sdp);
-			die("GFS2 rindex not found.  Please run gfs2_fsck.\n");
+			die( _("GFS2 rindex not found.  Please run gfs2_fsck.\n"));
 		}
 		/* Get master dinode */
 		sdp->master_dir =
@@ -329,11 +331,11 @@
 		figure_out_rgsize(sdp, &rgsize);
 		fsgrowth = ((sdp->device.length - fssize) * sdp->bsize);
 		if (fsgrowth < rgsize * sdp->bsize) {
-			log_err("Error: The device has grown by less than "
-				"one Resource Group (RG).\n");
-			log_err("The device grew by %" PRIu64 "MB.  ",
+			log_err( _("Error: The device has grown by less than "
+				"one Resource Group (RG).\n"));
+			log_err( _("The device grew by %" PRIu64 "MB.  "),
 				fsgrowth / MB);
-			log_err("One RG is %uMB for this file system.\n",
+			log_err( _("One RG is %uMB for this file system.\n"),
 				(rgsize * sdp->bsize) / MB);
 		}
 		else {
@@ -353,5 +355,5 @@
 	}
 	close(sdp->path_fd);
 	sync();
-	log_notice("gfs2_grow complete.\n");
+	log_notice( _("gfs2_grow complete.\n"));
 }
